Subject: bug#18285: 24.3.92; A combination of `display' on text and `invisible' and `before/after-string' leads to the before/after string being displayed twice

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Aug 2014 23:55:55 +0300

> Date: Sat, 23 Aug 2014 00:01:59 +0400
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked]
> 
> > But the question is,
> > won't that cause overlay strings not to be displayed in some cases?
> 
> The reverse, maybe? Making `invisible' inactive means something might 
> become visible, right?

No.

> But I'd have to see some examples.

Look at the code inside load_overlay_strings that handles this, to
understand what I'm saying.

> > The question is what would you expect from the second example, if it
> > used before-string there?  Should the before-string be displayed or
> > shouldn't it?  Since invisible makes the beginning of the overlay
> > disappear, under your suggestion it won't be displayed.
> 
> I think I'm suggesting the reverse, no?

No.

> And anyway, with the current logic, both examples render the
> `before-string' if I use it there just fine.

Of course, they do, because that's how Emacs was coded.

> I see no reason for that that to change.

You asked to ignore the invisible, so it will change.